Subject: crashing finder MacOS 10.0.4

From: Kim Holburn <[email-masked]>
Date: Wed, 26 Sep 2001 17:42:42 +1000

I just set up netatalk on a suse linux box here latest rpm from suse(7.1) 1.4.99-14.i386  It seems to work normally for MacOS 9, I can log in OK on a MacOS 9 box, mount volumes etc.  

When I log in on a MacOS X (10.0.4) I find the server, I log in and get a list of volumes then when I choose one and open it the finder crashes and restarts and then gives me the message "The file server "yyy" connection has unexpectedly closed down".  I set up a guest account to check for authentication problems but that had the same result.

Here is the syslog for the session (ip numbers changed):

Sep 26 17:29:00 yyy afpd[28871]: ASIP session:548(2) from 139.130.1.74:49881(0)
Sep 26 17:29:00 yyy afpd[28871]: cleartext login: fred
Sep 26 17:29:00 yyy afpd[28871]: login fred(uid 5533, gid 100)
Sep 26 17:29:00 yyy afpd[28871]: options->admingid == 0
Sep 26 17:29:00 yyy afpd[28871]: begin afp_getfildirparams:
Sep 26 17:29:00 yyy afpd[28871]: end afp_getfildirparams:
Sep 26 17:29:00 yyy afpd[28871]: begin afp_getfildirparams:
Sep 26 17:29:00 yyy afpd[28871]: end afp_getfildirparams:
Sep 26 17:29:02 yyy afpd[28871]: begin afp_getfildirparams:
Sep 26 17:29:02 yyy afpd[28871]: end afp_getfildirparams:
Sep 26 17:29:02 yyy afpd[28871]: begin afp_getfildirparams:
Sep 26 17:29:02 yyy afpd[28871]: end afp_getfildirparams:
Sep 26 17:29:02 yyy afpd[28871]: begin afp_getfildirparams:
Sep 26 17:29:02 yyy afpd[28871]: end afp_getfildirparams:
Sep 26 17:29:02 yyy afpd[28871]: begin afp_getfildirparams:
Sep 26 17:29:02 yyy afpd[28871]: end afp_getfildirparams:
Sep 26 17:29:02 yyy afpd[28871]: begin afp_getfildirparams:
Sep 26 17:29:02 yyy afpd[28871]: end afp_getfildirparams:
Sep 26 17:29:02 yyy afpd[28871]: begin afp_getfildirparams:
Sep 26 17:29:02 yyy last message repeated 7 times
Sep 26 17:29:02 yyy afpd[28871]: dsi_stream_read(0): No such file or directory
Sep 26 17:29:02 yyy afpd[28871]: 1.03KB read, 9.32KB written
Sep 26 17:29:02 yyy afpd[28871]: Connection terminated
Sep 26 17:29:02 yyy afpd[28762]: server_child[1] 28871 exited 1

Anyone know what the problem is?  

Kim

--
Kim Holburn  Network Consultant  P: +61 2 61258620 M: +61 0417820641
Email: [email-masked] - PGP Public Key on request

Life is complex - It has real and imaginary parts.
     Andrea Leistra (rec.arts.sf.written.Robert-jordan)